Name: python-module-pycairo
Version: 1.8.6
Release: alt1

Summary: Pycairo is a set of Python bindings for the vector graphics library cairo

License: GPL
Group: Development/Python
Url: http://www.cairographics.org/pycairo

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://cairographics.org/releases/pycairo-%version.tar.gz
Patch1: pycairo-1.8.6-no_python-2.6.patch

%setup_python_module cairo

# Automatically added by buildreq on Wed Jul 01 2009
BuildRequires: gcc-c++ libcairo-devel python-devel

BuildRequires: libcairo-devel >= 1.8.6

%description
James Henstridge has created cairo bindings for Python.
Cairo is a library for drawing vector graphics.
Vector graphics are interesting because when they appear on screen,
they don't lose clarity when resized or transformed.

%package devel
Summary: Development files for pycairo
Group: Development/Python
Requires: %name = %version-%release

%description devel
Development files for pycairo.

%prep
%setup -q -n pycairo-%version
%patch1 -p1

%build
rm -r aclocal.m4 ltmain.sh
%autoreconf
%configure
%make_build
# FIXME: run with built pycairo
#echo "import cairo" >test-cairo.py
#%_bindir/env python test-cairo.py

%install
%make_install install DESTDIR=%buildroot

%files
%python_sitelibdir/%modulename

%files devel
%_includedir/pycairo
%_pkgconfigdir/pycairo.pc
%doc README NEWS ChangeLog examples

%changelog
* Wed Jul 01 2009 Alexey Shabalin <shaba@altlinux.ru> 1.8.6-alt1
- new version 1.8.6 (with rpmrb script)
- update buildreq
- add patch for build with python-2.5 (upstream requires 2.6)

* Tue Sep 30 2008 Alexey Shabalin <shaba@altlinux.ru> 1.4.12-alt1
- new version 1.4.12 (with rpmrb script)

* Thu Jan 24 2008 Grigory Batalov <bga@altlinux.ru> 1.4.0-alt1.1
- Rebuilt with python-2.5.

* Sun Jun 24 2007 Vitaly Lipatov <lav@altlinux.ru> 1.4.0-alt1
- new version 1.4.0 (with rpmrb script)

* Sat Apr 07 2007 Vitaly Lipatov <lav@altlinux.ru> 1.2.6-alt1
- new version 1.2.6 (with rpmrb script)

* Sat Sep 02 2006 Vitaly Lipatov <lav@altlinux.ru> 1.2.2-alt0.1
- new version 1.2.2 (with rpmrb script)

* Sun Apr 30 2006 Vitaly Lipatov <lav@altlinux.ru> 1.0.2-alt3
- rebuild with new cairo

* Thu Feb 09 2006 Vitaly Lipatov <lav@altlinux.ru> 1.0.2-alt2
- update build requires

* Tue Nov 22 2005 Vitaly Lipatov <lav@altlinux.ru> 1.0.2-alt1
- fix build/install sections (#7930)
- split devel package

* Tue Oct 04 2005 Vitaly Lipatov <lav@altlinux.ru> 1.0.2-alt0.1
- new version
- add pycairo.pc to install

* Mon Sep 12 2005 Vitaly Lipatov <lav@altlinux.ru> 1.0.0-alt2
- enable build cairo.gtk

* Fri Sep 02 2005 Vitaly Lipatov <lav@altlinux.ru> 1.0.0-alt1
- new version

* Sun Aug 28 2005 Vitaly Lipatov <lav@altlinux.ru> 0.9.0-alt0.1
- first build for ALT Linux Sisyphus
